# Get location details

Get details for a specific location within the store finder

Endpoint: GET /store-finders/{storeKey}/locations/{id}
Version: 20260131

## Path parameters:

  - `storeKey` (string, required)
    Your store finder key

  - `id` (string, required)
    The location id, identifier or a custom slug

## Query parameters:

  - `language` (string)
    The language the location data should be returned in (only applicable if location translation feature is enabled)
    Example: "en"

  - `country` (array)
    Countries to filter for

  - `customFields` (boolean)
    Should customFields be included in the response

  - `identifier` (boolean)
    When true id is the location identifier otherwise its id

  - `reviewRatings` (array)
    Review ratings to include in the detailed response
    Enum: "1", "2", "3", "4", "5"

  - `slug` (string)
    If a slug was provided as ID which customField should we match it for

  - `fieldMask` (array)
    The list of fields the response object should contain, in the following format: "fieldMask=name&fieldMask=id"

## Response 200 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `warnings` (array)
    (optional) Holds further warnings

  - `response` (object, required)
    This is a response object that is being used in storefinder calls

  - `response.addressExtra` (string)
    Additional address information, e.g. building, floor, etc.
    Example: "building, floor, etc."

  - `response.averageRating` (number)
    The average rating of all Google Reviews

  - `response.brands` (array)
    The brands offered by the location to its customers

  - `response.businessId` (integer)
    The id of the business associated with this location

  - `response.businessName` (string)
    Name of the business

  - `response.businessIdentifier` (string)
    The business identifier based on your internal identification system

  - `response.callToActions` (array)
    A list of callToAction objects, each with a title and URL, formatted as callToActions: [&#123; text: 'cta_text1', url: 'cta_url1' &#125;, &#123; text: 'cta_text2', url: 'cta_url2' &#125;]
    Example: "callToActions: [{ text: 'cta_text1', url: 'cta_url1' }, { text: 'cta_text2', url: 'cta_url2' }]"

  - `response.callToActions.text` (string)
    The text of the call-to-action button

  - `response.callToActions.url` (string)
    The URL of the call-to-action button

  - `response.categories` (array)
    A list of category IDs describing the location

  - `response.categories.name` (string)
    The category name

  - `response.cellphone` (string)
    A contact mobile phone number

  - `response.city` (string)
    The city the location is residing in.

  - `response.country` (string)
    The country the location is residing in.
    Enum: "AF", "AX", "AL", "DZ", "AS", "AD", "AO", "AI", "AQ", "AG", "AR", "AM", "AW", "AU", "AT", "AZ", "BS", "BH", "BD", "BB", "BY", "BE", "BZ", "BJ", "BM", "BT", "BO", "BQ", "BA", "BW", "BV", "BR", "IO", "BN", "BG", "BF", "BI", "KH", "CM", "CA", "CV", "KY", "CF", "TD", "CL", "CN", "CX", "CC", "CO", "KM", "CG", "CD", "CK", "CR", "CI", "HR", "CU", "CW", "CY", "CZ", "DK", "DJ", "DM", "DO", "EC", "EG", "SV", "GQ", "ER", "EE", "ET", "FK", "FO", "FJ", "FI", "FR", "GF", "PF", "TF", "GA", "GM", "GE", "DE", "GH", "GI", "GR", "GL", "GD", "GP", "GU", "GT", "GG", "GN", "GW", "GY", "HT", "HM", "VA", "HN", "HK", "HU", "IS", "IN", "ID", "IR", "IQ", "IE", "IM", "IL", "IT", "JM", "JP", "JE", "JO", "KZ", "KE", "KI", "KP", "KR", "XK", "KW", "KG", "LA", "LV", "LB", "LS", "LR", "LY", "LI", "LT", "LU", "MO", "MK", "MG", "MW", "MY", "MV", "ML", "MT", "MH", "MQ", "MR", "MU", "YT", "MX", "FM", "MD", "MC", "MN", "ME", "MS", "MA", "MZ", "MM", "NA", "NR", "NP", "NL", "NC", "NZ", "NI", "NE", "NG", "NU", "NF", "MP", "NO", "OM", "PK", "PW", "PS", "PA", "PG", "PY", "PE", "PH", "PN", "PL", "PT", "PR", "QA", "RE", "RO", "RU", "RW", "BL", "SH", "KN", "LC", "MF", "PM", "VC", "WS", "SM", "ST", "SA", "SN", "RS", "SC", "SL", "SG", "SX", "SK", "SI", "SB", "SO", "ZA", "GS", "SS", "ES", "LK", "SD", "SR", "SJ", "SZ", "SE", "CH", "SY", "TW", "TJ", "TZ", "TH", "TL", "TG", "TK", "TO", "TT", "TN", "TR", "TM", "TC", "TV", "UG", "UA", "AE", "UK", "US", "UM", "UY", "UZ", "VU", "VE", "VN", "VG", "VI", "WF", "EH", "YE", "ZM", "ZW"

  - `response.customItems` (array)
    Custom, rich content related specifically to this location (such as company values)

  - `response.customItems.title` (string, required)
    mandatory, the custom name, e.g. 'Strong Coffee'

  - `response.customItems.description` (string)

  - `response.customItems.identifier` (string)

  - `response.customItems.listName` (string)

  - `response.customItems.id` (integer)
    The uberall unique id for the custom item

  - `response.customItems.price` (integer)
    optional, the price of the custom, e.g. 1500 ( i.e. 15,00 EUR )

  - `response.customItems.currency` (object)
    optional, indicating the currency for price and priceMax in ISO-4217, e.g. EUR

  - `response.customItems.category` (string)
    optional, a category name, e.g. 'Coffee'
    Example: "Coffee"

  - `response.customItems.video` (object)
    optional, a video about the custom

  - `response.customItems.video.id` (integer)
    Identifier of the video in our system

  - `response.customItems.video.url` (string)
    Url of the video

  - `response.customItems.video.description` (string)
    Text description of the Video

  - `response.customItems.video.type` (string)
    Video Platform. Values: [YOUTUBE, VIMEO]
    Enum: "YOUTUBE", "VIMEO", "UBERALL"

  - `response.customItems.unit` (string)
    optional, indicating the unit of measure, e.g. 'per kg'
    Example: "per kg"

  - `response.customItems.url` (string)
    optional, a url related to the custom item

  - `response.customItems.priceMax` (integer)
    optional, indicating there is a price range, e.g. 2500 ( i.e. 25,00 EUR )

  - `response.customItems.image` (object)
    Image of the custom-item (use the Image object format)

  - `response.customItems.image.id` (integer)
    The uberall unique id for the image

  - `response.customItems.image.url` (string, required)
    Image url

  - `response.customItems.image.type` (string, required)
    The image type, one of [LOGO, MAIN, IMAGE]
    Enum: "LOGO", "MAIN", "IMAGE"

  - `response.customItems.image.description` (string)
    Description of the image

  - `response.customItems.image.uid` (string, required)
    user identifier of the image

  - `response.descriptionLong` (string)
    A long description - up to 1000 characters

  - `response.descriptionShort` (string)
    A short description - up to 200 characters

  - `response.email` (string)
    A contact email for the location

  - `response.events` (array)
    Events offered by this location

  - `response.events.title` (string, required)
    The title of the event

  - `response.events.description` (string)
    The description of the event: e.g. "Watch a lot of awesome movies."

  - `response.events.identifier` (string)
    Unique Identifier for the Event

  - `response.events.listName` (string)
    Name of the Event

  - `response.events.timeStart` (string, required)
    The date the event starts

  - `response.events.timeEnd` (string, required)
    The date the event ends

  - `response.events.video` (object)
    A video to promote the event

  - `response.events.video.id` (integer)
    Identifier of the video in our system

  - `response.events.video.url` (string)
    Url of the video

  - `response.events.video.description` (string)
    Text description of the Video

  - `response.events.video.type` (string)
    Video Platform. Values: [YOUTUBE, VIMEO]
    Enum: "YOUTUBE", "VIMEO", "UBERALL"

  - `response.events.url` (string)
    The url of the page with more details about the event

  - `response.fax` (string)
    The location fax number

  - `response.id` (integer)
    The uberall unique id for the location.

  - `response.identifier` (string)
    The location identifier based on your internal identification system.

  - `response.imprint` (string)
    The imprint of the location

  - `response.keywords` (array)
    Keywords describing the locations activity

  - `response.languages` (array)
    The language(s) in which customers can interact with the location's staff

  - `response.lat` (number)
    The latitude coordinate of the location.

  - `response.lng` (number)
    The longitude coordinate of the location.

  - `response.menus` (array)
    Menu items offered by this location

  - `response.menus.title` (string, required)
    Title

  - `response.menus.description` (string)
    Description of the menu item: e.g. 'With mozzarella, fresh basil and tomatoes'

  - `response.menus.identifier` (string)
    Unique Identifier for the Menu

  - `response.menus.listName` (string)

  - `response.menus.id` (integer)
    The uberall unique id for the menu item

  - `response.menus.price` (integer)
    Price of the menu item in cents: e.g. '1500' for 15 €

  - `response.menus.currency` (string)
    Currency used for prices in ISO-4217: e.g. EUR, USD, CHF
    Enum: "EUR", "USD", "GBP", "CHF", "AUD", "RUB", "JPY", "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BOV", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHE", "CHW", "CLF", "CLP", "CNY", "COP", "COU", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "FJD", "FKP", "GEL", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LTL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MXV", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SSP", "STD", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USN", "UYI", "UYU", "UZS", "VEF", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "XSU", "XUA", "YER", "ZAR", "ZMW", "ZWL"

  - `response.menus.category` (string)
    Category or section of the menu item (e.g. Starters, Drinks, Desert, etc.)
    Example: "Starters, Drinks, Desert, etc."

  - `response.menus.image` (object)
    Image of the menu (use the Image object format)

  - `response.menus.image.id` (integer)
    The uberall unique id for the image

  - `response.menus.image.url` (string, required)
    Image url

  - `response.menus.image.type` (string, required)
    The image type, one of [LOGO, MAIN, IMAGE]
    Enum: "LOGO", "MAIN", "IMAGE"

  - `response.menus.image.description` (string)
    Description of the image

  - `response.menus.image.uid` (string, required)
    user identifier of the image

  - `response.menus.url` (string)
    A valid page url with more details about the item

  - `response.menus.priceMax` (integer)
    Maximum price if you want to use a price range for the item

  - `response.menus.caloriesLow` (integer)
    The lowest possible number of calories for a menu item

  - `response.menus.caloriesHigh` (integer)
    The high end of the range of calories for a menu item

  - `response.menus.allergens` (array)
    Allergens in the food item (e.g. Eggs, Dairy, Wheat, etc.)
    Example: "Eggs, Dairy, Wheat, etc."

  - `response.menus.dietaryRestrictions` (array)
    Restrictive diet the menu item fits into (e.g. Vegetarian, Halal, etc.)
    Example: "Vegetarian, Halal, etc."

  - `response.name` (string)
    The location's name.

  - `response.nextOpen` (object)
    Defines when the location will be next opened.

  - `response.nextOpen.date` (string)
    date when the location will be opened; for example "2018-11-16" (string) (this parameter is used only if closedNow true and neverOpens false)
    Example: "2018-11-16"

  - `response.nextOpen.dayOfWeek` (string)
    day of week when the location will be opened; format like OpeningHours: 1 for Monday, 2 for Tuesday, etc (this parameter is used only if closedNow true and neverOpens false)
    Enum: "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY"

  - `response.nextOpen.hour` (integer)
    defines at which time at the date "date" the location will be open; for example: "13:00" (this parameter is used only if closedNow true and neverOpens false)

  - `response.nextOpen.closedNow` (boolean)
    true if the location is closed now; otherwise false

  - `response.nextOpen.neverOpens` (boolean)
    true if the location will never open again; otherwise false (this parameter is used only if closedNow true)

  - `response.openingHours` (array)
    The location's opening hours.

  - `response.openingHours.closed` (boolean)
    Indicates whether a location is closed on a day.

  - `response.openingHours.toX` (string)
    An end of a period. One or multiple periods are supported per dayOfWeek, e.g.: "to1": "14:30", "to2": "17:00"

  - `response.openingHours.fromX` (string)
    A beginning of a period. One or multiple periods are supported per dayOfWeek, e.g.: "from1": "09:00", "from2": "15:00"

  - `response.openingHours.dayOfWeek` (integer, required)
    The weekday of an opening hours, e.g.: 1 for Monday, 2 for Tuesday, ...

  - `response.openingHoursNotes` (string)
    Additional information about the location's opening hours.

  - `response.specialOpeningHours` (array)
    The location's special opening hours

  - `response.specialOpeningHours.closed` (boolean)
    Indicates whether a location is closed on a date.

  - `response.specialOpeningHours.date` (string, required)
    The date of a special opening hour, e.g.: 2017-06-30

  - `response.specialOpeningHours.toX` (string)
    An end of a period. Up to two periods are supported per date, e.g.: "to1": "09:00", "to2": "15:00"

  - `response.specialOpeningHours.fromX` (string)
    A beginning of a period. Up to two periods are supported per date, e.g.: "from1": "09:00", "from2": "15:00"

  - `response.openNow` (boolean)
    Shows if the location is currently open.

  - `response.paymentOptions` (array)
    The payment options accepted at the location (eg. cash, bank transfer, ...)
    Example: "cash, bank transfer, ..."

  - `response.people` (array)
    People associated with this location

  - `response.people.title` (string, required)
    The person's title: e.g. 'Store manager'

  - `response.people.description` (string)
    Description for the person: e.g. 'Responsible for the day-to-day operations of the store'

  - `response.people.identifier` (string)
    Unique Identifier for the Person

  - `response.people.listName` (string)
    Name of the section this person belongs to

  - `response.people.id` (integer)
    The uberall unique id for the person

  - `response.people.name` (string, required)
    The person's full name

  - `response.people.image` (object)
    Image of the person (use the Image object format)

  - `response.people.image.id` (integer)
    The uberall unique id for the image

  - `response.people.image.url` (string, required)
    Image url

  - `response.people.image.type` (string, required)
    The image type, one of [LOGO, MAIN, IMAGE]
    Enum: "LOGO", "MAIN", "IMAGE"

  - `response.people.image.description` (string)
    Description of the image

  - `response.people.image.uid` (string, required)
    user identifier of the image

  - `response.people.url` (string)
    A valid url of a page with more details about the person

  - `response.phone` (string)
    The location's contact phone number.

  - `response.photos` (array)
    The location's photos.

  - `response.photos.description` (string)
    A description for the photo - max 255 chars

  - `response.photos.sourceUrl` (string)
    The URL to the original photo

  - `response.photos.identifier` (string)
    The photo identifier based on your internal identification system

  - `response.photos.cropOffsetX` (integer)
    Horizontal pixel offset of the top-left corner of the cropped area [LANDSCAPE photo only]

  - `response.photos.cropOffsetY` (integer)
    Vertical pixel offset of the top-left corner of the cropped area [LANDSCAPE photo only]

  - `response.photos.cropWidth` (integer)
    Width of the 16:9 cropped area [LANDSCAPE photo only]

  - `response.photos.cropHeight` (integer)
    Height of the 16:9 cropped area [LANDSCAPE photo only]

  - `response.photos.type` (string, required)
    Required - One of: 

PHOTO - Default photo type for all photos which do not fit into any other category
MAIN 
LOGO 
SQUARED_LOGO 
DOCTOR_COM_PORTRAIT - Doctor.com clients only 
LANDSCAPE - Updates Google Cover Photo
APPLE_LANDSCAPE - Apple Cover Photo - availability and usage dependent on directory rules
STOREFINDER_LOGO - Only for Uberall locator product 
STOREFINDER_COVER - Only for Uberall locator product
FACEBOOK_LANDSCAPE - Facebook Cover Photo 
EXTERIOR - Google's Exterior Photo tag - availability dependent on a location's business category 
INTERIOR - Google's Interior Photo tag  - availability dependent on a location's business category 
FOOD_AND_DRINK - Google's Food and Drink Photo tag - availability dependent on a location's business category  
MENU  - Google's Menu Photo tag, which should only be photos of the menu - availability dependent on a location's business category 
PRODUCT  - Google's Product Photo tag - availability dependent on a location's business category 
TEAMS  - Google's Teams Photo tag - availability dependent on a location's business category 
AT_WORK  - Google's At Work Photo tag - availability dependent on a location's business category 
COMMON_AREA  - Google's Common Area Photo tag - availability dependent on a location's business category 
ROOMS - Google's Rooms Photo tag - availability dependent on a location's business category
    Enum: "MAIN", "DOCTOR_COM_PORTRAIT", "LOGO", "STOREFINDER_LOGO", "SQUARED_LOGO", "LANDSCAPE", "STOREFINDER_COVER", "FACEBOOK_LANDSCAPE", "APPLE_LANDSCAPE", "MENU", "PHOTO", "ROOMS", "TEAMS", "AT_WORK", "PRODUCT", "EXTERIOR", "INTERIOR", "COMMON_AREA", "FOOD_AND_DRINK"

  - `response.photos.order` (integer)
    Zero-based insertion index. If omitted, photo is added to the end

  - `response.photos.dateCreated` (string)
    The date when the object was created in uberall database

  - `response.photos.lastUpdated` (string)
    Date of the last changes made to the photo

  - `response.photos.photo` (string)

  - `response.photos.locationId` (integer)

  - `response.products` (array)
    Products offered by this location

  - `response.products.title` (string, required)
    The name of the product: e.g. Strong Coffee

  - `response.products.description` (string)
    Description of the product: e.g. 'The strongest coffee in the world'

  - `response.products.identifier` (string)
    Unique Identifier for the Product

  - `response.products.listName` (string)

  - `response.products.id` (integer)
    The uberall unique id for the product

  - `response.products.price` (integer)
    Price of the product in cents: e.g. '1500' for 15 €

  - `response.products.currency` (object)
    Currency used for prices in ISO-4217: e.g. EUR, USD, CHF

  - `response.products.category` (string)
    A category the product belongs to: e.g. 'Coffee'
    Example: "Coffee"

  - `response.products.video` (object)
    A video about the product

  - `response.products.video.id` (integer)
    Identifier of the video in our system

  - `response.products.video.url` (string)
    Url of the video

  - `response.products.video.description` (string)
    Text description of the Video

  - `response.products.video.type` (string)
    Video Platform. Values: [YOUTUBE, VIMEO]
    Enum: "YOUTUBE", "VIMEO", "UBERALL"

  - `response.products.unit` (string)
    A unit of measure, e.g. 'per kg'
    Example: "per kg"

  - `response.products.url` (string)
    A valid page url with more details about the product

  - `response.products.priceMax` (integer)
    Maximum price if you want to use a price range for the product

  - `response.products.image` (object)
    Image of the product (use the Image object format)

  - `response.products.image.id` (integer)
    The uberall unique id for the image

  - `response.products.image.url` (string, required)
    Image url

  - `response.products.image.type` (string, required)
    The image type, one of [LOGO, MAIN, IMAGE]
    Enum: "LOGO", "MAIN", "IMAGE"

  - `response.products.image.description` (string)
    Description of the image

  - `response.products.image.uid` (string, required)
    user identifier of the image

  - `response.province` (string)
    The province the location is residing in.

  - `response.reviewCount` (integer)
    How many Google Reviews this location has in total

  - `response.reviews` (array)
    A list of up to five Google Reviews

  - `response.reviews.directoryType` (string)
    Enum: "FOURSQUARE", "UBER", "GOOGLE", "WAZE", "GOOGLE_MAPS", "YELP_API", "MEINESTADT", "NOKIA_HERE", "FACEBOOK", "TOMTOM", "STADTBRANCHENBUCH", "CYLEX", "UNTERNEHMENSAUSKUNFT", "ACOMPIO", "BUSINESSBRANCHENBUCH", "SCOOT", "CENTRAL_INDEX", "CITIPAGES", "THE_DAILY_RECORD", "THE_EVENING_STANDARD", "THE_SCOTSMAN", "LIVERPOOL_ECHO", "TOUCH_LOCAL", "THE_MIRROR", "ANNUAIRE", "INFOBEL", "US_INFO_COM", "BING", "WO_GIBTS_WAS", "KOOMIO", "OEFFNUNGSZEITENBUCH", "APPLE_MAPS", "WHERE_TO", "TUPALO", "BRANCHENBUCH_DEUTSCHLAND", "MARKTPLATZ_MITTELSTAND", "BUSQUEDA_LOCAL", "RICERCARE_IMPRESE", "PAGES24", "NAVMII", "AUDI", "BMW", "MERCEDES", "VW", "TOYOTA", "FORD", "FIAT", "GM", "INSTAGRAM", "CITY_SQUARES", "SHOWMELOCAL", "CHAMBER_OF_COMMERCE", "JUDYS_BOOK", "MY_LOCAL_SERVICES", "HOTFROG", "INFO_IS_INFO", "MANTA", "US_CITY", "GO_YELLOW", "N49", "PRATIQUE", "EZLOCAL", "ELOCAL", "YELLOW_PAGES", "SUPER_PAGES", "DEX_KNOWS", "KAUFDA_MANUAL", "I_GLOBAL", "BRANCHEN_INFO_MANUAL", "GUTE_BANKEN_MANUAL", "D_11880_COM_MANUAL", "BANKOEFFNUNGSZEITEN_DE_MANUAL", "BANK_OEFFNUNGSZEITEN_DE_MANUAL", "CYLEX_MANUAL", "FINDE_OFFEN_MANUAL", "MEIN_PROSPEKT_MANUAL", "FIND_OPEN", "GO_LOCAL", "MEINUNGSMEISTER", "YAHOO_MANUAL", "TRIP_ADVISOR", "ZIP_CH", "INFOGROUP", "TRUSTPILOT", "AUSKUNFT", "NEXT_DOOR", "GOOGLE_ASSISTANT", "SIRI", "HUAWEI", "DOCTOR_COM", "DENTAL_PLANS", "DOC_SPOT", "HEALTHGRADES", "SHARE_CARE", "VITALS", "WEB_MD", "WELLNESS", "BING_HEALTH", "NPPES", "RATE_MDS", "CITYSEARCH", "INSIDER_PAGES", "TWITTER", "ALEXA", "MAP_QUEST", "WEBSITE_WIDGETS", "ECO_MOVEMENT", "GOOGLE_EV", "APPLE_EV", "TESLA_EV", "EUROWAG_EV", "OPIS_EV", "TOMTOM_EV", "HERE_EV", "YELLOW_PAGES_CANADA", "BBB", "UBERALL_SOCIAL_ADS", "APPLE_APPS", "CONSUMER_AFFAIRS", "CREDIT_KARMA", "DELIVERY", "GLASSDOOR", "PLAY_GOOGLE", "GRUBHUB", "INDEED", "LENDING_TREE", "MENUISM", "OPEN_TABLE", "OPEN_TABLE_USA", "WALLET_HUB", "ZILLOW", "ZOMATO", "WHATS_APP", "FOUR_SCREEN", "AND_CHARGE", "LINKED_IN"

  - `response.services` (array)
    The services offered by the location (eg. 'catering' for a restaurant)
    Example: "'catering' for a restaurant"

  - `response.services.title` (string, required)
    Name of the service item as represented at the location

  - `response.services.description` (string)
    A description of the service

  - `response.services.identifier` (string)
    Required - A unique identifier for this service

  - `response.services.listName` (string)

  - `response.services.price` (integer)
    Minimum price of the service item. Amounts must be provided in the smallest valid unit of the respective currency (e.g., USD - cents, 10.99 USD → 1099).
See range interpretation rules under priceMax.

  - `response.services.currency` (string)
    The currency of price and priceMax for this service (required when a price is given).
Amounts for price fields must be expressed in the smallest valid unit of this currency (e.g., USD - cents).
    Example: "USD"

  - `response.services.category` (integer)
    Business category the service should be applied to - this is required when applying a Google structured service but not necessary for freeform services.

  - `response.services.country` (string)
    The country where the locations providing this service are located - this is required when applying a Google structured service but not necessary for freeform services.

  - `response.services.googleService` (string)
    The Google name for a structured service - this is required when applying a Google structured service but not necessary for freeform services.

  - `response.services.priceMax` (integer)
    Maximum price for the item when using a price range. Amounts must be provided in the smallest valid unit of the respective currency (e.g., USD → cents).
Range interpretation rules:

- Exact: price == priceMax

- Starts At: priceMax == null (only minimum known)

- Range: price < priceMax (both known and different)

- Not Interpreted: price is null (minimum unknown)

Validation: if provided, priceMax must be a non-negative integer and greater than or equal to price.

  - `response.services.url` (string)
    A valid page url with more details about the item.

  - `response.services.duration` (integer)
    Minimum duration of the service in minutes. See range interpretation rules under durationMax.

  - `response.services.durationMax` (integer)
    Maximum duration (in minutes) when using a duration range.
Range interpretation rules:
- Exact: duration == durationMax\n

- Starts At: durationMax == null (only minimum known)\n

- Range: duration < durationMax (both known and different)\n

- Not Interpreted: duration is null (minimum unknown)\n

Validation: if provided, durationMax must be a non-negative integer and greater than or equal to duration.

  - `response.socialProfiles` (array)
    The profiles of the location on social and professional networks (FACEBOOK, FOURSQUARE, INSTAGRAM, LINKEDIN, PINTEREST, TWITTER, VIMEO, XING, YOUTUBE)

  - `response.socialProfiles.url` (string)
    Url of the Social Profile

  - `response.socialProfiles.type` (string)
    Social Profile Type. Values: [FACEBOOK, LINKEDIN, TWITTER, YOUTUBE, XING, INSTAGRAM, FOURSQUARE, PINTEREST]
    Enum: "FACEBOOK", "LINKEDIN", "TWITTER", "YOUTUBE", "XING", "INSTAGRAM", "FOURSQUARE", "PINTEREST", "VIMEO"

  - `response.socialPost` (object)
    Social posts published for this location

  - `response.streetAndNumber` (string)
    The location's street address.

  - `response.taxNumber` (string)
    The tax number of the location. CIF/NIF in Spain

  - `response.timezone` (string)
    The location's timezone

  - `response.videos` (array)
    The location's videos

  - `response.videos.id` (integer)
    Identifier of the video in our system

  - `response.videos.url` (string)
    Url of the video

  - `response.videos.description` (string)
    Text description of the Video

  - `response.videos.type` (string)
    Video Platform. Values: [YOUTUBE, VIMEO]
    Enum: "YOUTUBE", "VIMEO", "UBERALL"

  - `response.zip` (string)
    The location's ZIP code.

  - `response.website` (string)
    A valid url for the location's website

  - `response.googlePlaceId` (string)
    A unique textual identifier to identify a place in the Google Places database and on Google Maps.

  - `response.street` (string)
    The location's street address

  - `response.streetNo` (string)
    The location's street number

## Response 400 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 403 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 404 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response


